package org.apidesign.apifest08.currency;

import java.util.Currency;

/**
 * @author Ladislav Vitasek
 */
public interface CurrencyConvertorFactory {

    /**
     * Instantiate a new instance convertor      
     * @param currency1 a code currency you want to convert between
     * @param currency2 a code currency you want to convert between
     * @param conversionProperties settings for conversion
     * @return converter for currency converting
     * @throws ConvertorNotAvailableException throws if there is no available convertor for selected currencies
     */
    Convertor createConvertor(Currency currency1, Currency currency2, ConversionProperties conversionProperties) throws ConvertorNotAvailableException;



}
